*"表題 第1次元を拡張 GTOOL3(GPXEXP)
*
*"履歴 90/09/24 沼口  敦
*
*
*********************************************************************
*"         << 第1次元を拡張 >>
*********************************************************************
      SUBROUTINE GPXEXP
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO   )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
      CHARACTER  HHEADO ( * )*(*)        !" ヘッダー(出力)
      REAL       GDATAO ( * )            !" データ(出力)
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HAXIS       *(NCC)      !" 軸名称
      LOGICAL    OCYCL                   !" サイクリックか？
*
      CALL GHCGET ( HHEAD, 'AITM1', HAXIS  )
      CALL GUQAXD
     I         ( HAXIS ,
     O           IADIM , OCYCL  )
*
      CALL GPXRDC
     I         ( HHEAD , GDATA , 1      , IADIM  ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO                    )
*
      RETURN
*====================================================================
*"         << 第1次元をサイクリックに拡張 >>
*====================================================================
      ENTRY      GPXEXC
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO   )
*
      CALL GHCGET ( HHEAD, 'AITM1', HAXIS  )
      CALL GUQAXD
     I         ( HAXIS ,
     O           IADIM , OCYCL  )
*
      IF ( OCYCL ) THEN
         IADIM = IADIM + 1
      ENDIF
*
      CALL GPXRDC
     I         ( HHEAD , GDATA , 1      , IADIM  ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO                    )
*
      RETURN
      END
*********************************************************************
*"         << 第1次元を拡張 >>
*********************************************************************
      SUBROUTINE GMXEXP
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL  )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
*
      COMMON     /GMWORK/ GDATAW
      REAL       GDATAW ( 1 )            !" データ(ワーク)
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HHEADW ( NDC )*(NCC)    !" ヘッダー(ワーク)
*
      CALL       GMCSIZ ( HHEADW )
      CALL       GPXEXP
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADW, GDATAW   )
*
      CALL       GPFSET
     I         ( HHEADW, GDATAW,
     I           ' '   , ' '   ,
     O           HHEAD , GDATA   )
*
      RETURN
*====================================================================
*"         << 第1次元をサイクリックに拡張 >>
*====================================================================
      ENTRY      GMXEXC
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL  )
*
      CALL       GMCSIZ ( HHEADW )
      CALL       GPXEXC
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADW, GDATAW   )
*
      CALL       GPFSET
     I         ( HHEADW, GDATAW,
     I           ' '   , ' '   ,
     O           HHEAD , GDATA   )
*
      RETURN
      END
